#!/bin/sh
#241230 sfs
export TEXTDOMAIN=sfwbar-ext
#m1="Мониторинг температуры"
#m2="Выберите датчик"
m1="$(gettext 'Temperature monitoring')"
m2="$(gettext 'Select sensor')"

ico=gtk-dialog-question
t="$(for i in `ls /sys/class/hwmon/hwmon* -d` ;do
    #echo $i |sed 's#[a-z],/##g'
    cat $i/name
    cat $i/temp1_input |awk '{print int($1/1000)"°C"}'
    echo "hwmon=`basename "$i" | tail -c 2`"
done)"
#echo $t ;exit
y="`yad --list \
    --Xradiolist \
    --title "$m1" \
    --text "<b>$m1</b>\n$m2" \
    --height=340 --width=440 \
    --regex-search --search-column=1 --separator= --fixed \
    --height=240 --width=240 \
    --Чno-headers --image-on-top --image=$ico --window-icon=$ico --name=$ico \
    --hide-column=3 --print-column=3 --column=name --column=°C --column=+ \
  $t `" 
[ "$y" ] && sed -i 's/^hwmon=.*/'$y'/'  "$HOME/.config/sfwbar/sfwbar.ini" && killall -1 sfwbar

